Bug 41303 - LockError: Failed to lock not handled in AppCenter
LockError: Failed to lock not handled in AppCenter
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Felix Botner
Dirk Wiesenthal
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-20 06:47 CEST by Florian Best
Modified: 2017-07-26 15:09 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 4: Minor Usability: Impairs usability in secondary scenarios
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.091
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2017041721000373, 2017022721000376, 2017030321000972, 2017030321000445, 2017022721000401, 2017032221000454, 2017032121000778, 2017043021000204, 2017072421000229
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-05-20 06:47:52 CEST
Version: 4.1-2 errata174 (Vahr)

Execution of command 'appcenter/docker/progress' has failed:

Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/base.py", line 283, in execute
    function(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 318, in _response
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 462, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 284, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/mixins.py", line 149, in progress
    ret = progress_obj.poll()
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 309, in _thread
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 462, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 284, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/appcenter/__init__.py", line 372, in invoke_docker
    with self.locked():
  File "/usr/lib/python2.7/contextlib.py", line 17, in __enter__
    return self.gen.next()
  File "%PY2.7%/univention/management/console/modules/appcenter/__init__.py", line 393, in locked
    with self.package_manager.locked(reset_status=True, set_finished=True):
  File "/usr/lib/python2.7/contextlib.py", line 17, in __enter__
    return self.gen.next()
  File "%PY2.7%/univention/lib/package_manager.py", line 316, in locked
    self.lock()
  File "%PY2.7%/univention/lib/package_manager.py", line 301, in lock
    raise LockError(_('Failed to lock'))
LockError: Failed to lock
Comment 1 Florian Best univentionstaff 2017-04-18 11:59:38 CEST
Version: 4.2-0 errata1 (Lesum)

Remark: funktioniert nicht
Comment 2 Florian Best univentionstaff 2017-04-18 17:09:52 CEST
Version: 4.1-4 errata404 (Vahr)
Comment 3 Florian Best univentionstaff 2017-04-21 15:10:55 CEST
Version: 4.1-4 errata407 (Vahr)
LockError: Sperren des Systems fehlgeschlagen
Comment 4 Florian Best univentionstaff 2017-04-21 15:13:44 CEST
Version: 4.2-0 errata0 (Lesum)
Comment 5 Florian Best univentionstaff 2017-05-05 14:48:15 CEST
Version: 4.2-0 errata4 (Lesum)
Comment 6 Felix Botner univentionstaff 2017-05-15 16:15:29 CEST
OK, self.locked() now raises umcm.UMC_CommandError(_('Another package operation is in progress')) on LockError.

univention-appcenter: r79345
errata4.2-0
Comment 7 Dirk Wiesenthal univentionstaff 2017-05-22 12:01:34 CEST
Works great
Comment 8 Janek Walkenhorst univentionstaff 2017-05-24 10:47:58 CEST
<http://errata.software-univention.de/ucs/4.2/22.html>
Comment 9 Florian Best univentionstaff 2017-07-26 15:09:17 CEST
Reported again, 4.1-4 errata428 (Vahr)